3

I am following this guide on how to install mongoDB on Ubuntu MATE 16.04 LTS on my Raspberry PI 3 and I get the following error when I run "sudo apt-get update"

N: Skipping acquire of configured file 'multiverse/binary-armhf/Packages' as repository 'http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.2 InRelease' doesn't support architecture 'armhf'

Is there another way in which I can install MongoDB for Raspberry PI 3 on Ubuntu MATE 16.04 LTS?

3

The Raspberry PI 3 is a 64-bit ARM architecture, which is supported in MongoDB 3.4. The shell command you need to run to add the right repository for this architecture is:

 echo "deb [arch=arm64] http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.4 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-3.4.list

Otherwise, I think instructions for installing MongoDB on Ubuntu 16.04 should apply.

1

You are following a guide for the desktop version of Ubuntu, therefore the repository you added is for a desktop CPU architecture, not the armhf architecture the Raspberry Pi needs. Try this guide for Raspbian.

  • Will this guide for Raspbian work on MATE 16.04? – archLucifer Jun 5 '16 at 1:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.